# Returns the details of a single poll.

Provides data for a single poll.

Endpoint: GET /v2/feed/polls/{poll_id}
Version: 2026-05-01
Security: oauth2_as_a_user

## Path parameters:

  - `poll_id` (integer, required)
    ID of the poll

## Response 200 fields (application/json):

  - `data` (object)

  - `data.id` (integer)
    Unique identifier for this poll
    Example: 456

  - `data.type` (string)
    Example: unanswered_poll

  - `data.attributes` (object)

  - `data.attributes.id` (integer)
    Example: 1

  - `data.attributes.program_id` (integer)
    Example: 1

  - `data.attributes.max_selections` (integer)
    Example: 1

  - `data.attributes.question_text` (string)
    Example: question

  - `data.attributes.criterion` (string)
    Example: criterion

  - `data.attributes.preset` (string)
    Example: preset

  - `data.attributes.publish_at` (string)
    Example: 2000-01-01T00:00:00Z

  - `data.attributes.archive_at` (string)
    Example: 2000-01-01T00:00:00Z

  - `data.attributes.status` (string)
    Example: published

  - `data.attributes.description_text` (string)
    Example: description text

  - `data.attributes.selection` (string)
    Example: selection

  - `data.attributes.selection_type` (string)
    Example: selection type

  - `data.attributes.total_audience` (integer)
    Example: 1

  - `data.attributes.show_results_to_user` (boolean)
    Example: true

  - `data.attributes.author` (object)

  - `data.attributes.author.user_id` (integer)
    Example: 1

  - `data.attributes.author.avatar_color` (string)
    Example: avatar color

  - `data.attributes.author.email` (string)
    Example: email

  - `data.attributes.author.avatar_url` (string)
    Example: avatar url

  - `data.attributes.author.display_name` (string)
    Example: display name

  - `data.attributes.results` (object)

  - `data.attributes.results.answer1` (integer)
    Example: 1

  - `data.attributes.results.answer2` (integer)
    Example: 2

  - `data.attributes.total_participants` (integer)
    Example: 1

  - `data.attributes.config` (object)

  - `data.attributes.config.options` (array)

